Subject: bug#16943: 24.3.50; [PATCH] `icomplete-exhibit' needs `with-current-buffer' for minibuffer

From: Stefan Monnier <[email-masked]>
Date: Fri, 07 Mar 2014 19:17:32 -0500

>  (with-current-buffer (window-buffer (active-minibuffer-window))

I think this would only paper over an underlying problem: icomplete uses
a buffer-local post-command-hook, so it makes no sense that it would be
run in another buffer.
A few possibilities:
- the hook is placed in the wrong buffer, in which case it would only be
  run in the wrong buffer.
- an earlier post-command-hook function changed current-buffer.
- an earlier minibuffer-setup-hook function changed current-buffer
  (which would cause the hook to be placed in the wrong buffer).

        Stefan